//
//  GalleryContentViewController.swift
//  GalleryVC
//
//  Created by Shadowfacts on 3/17/24.
//

import UIKit

@MainActor
public protocol GalleryContentViewController: UIViewController {
    var container: GalleryContentViewControllerContainer? { get set }
    var contentSize: CGSize { get }
    var activityItemsForSharing: [Any] { get }
    var caption: String? { get }
    var contentOverlayAccessoryViewController: UIViewController? { get }
    var bottomControlsAccessoryViewController: UIViewController? { get }
    var canAnimateFromSourceView: Bool { get }
    
    func setControlsVisible(_ visible: Bool, animated: Bool)
    func galleryContentDidAppear()
    func galleryContentWillDisappear()
}

public extension GalleryContentViewController {
    var contentOverlayAccessoryViewController: UIViewController? {
        nil
    }

    var bottomControlsAccessoryViewController: UIViewController? {
        nil
    }
    
    var canAnimateFromSourceView: Bool {
        true
    }
    
    func setControlsVisible(_ visible: Bool, animated: Bool) {
    }
    
    func galleryContentDidAppear() {
    }
    
    func galleryContentWillDisappear() {
    }
}
