//
//  BehaviorKeys.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 4/13/24.
//

import Foundation

struct OppositeCollapseKeywordsKey: MigratablePreferenceKey {
    static var defaultValue: [String] { [] }
}

struct ConfirmReblogKey: MigratablePreferenceKey {
    static var defaultValue: Bool {
        #if os(visionOS)
        true
        #else
        false
        #endif
    }
}

struct TimelineSyncModeKey: MigratablePreferenceKey {
    static var defaultValue: TimelineSyncMode { .icloud }
}

struct InAppSafariKey: MigratablePreferenceKey {
    static var defaultValue: Bool {
        #if targetEnvironment(macCatalyst) || os(visionOS)
        false
        #else
        if ProcessInfo.processInfo.isiOSAppOnMac {
            false
        } else {
            true
        }
        #endif
    }
}
